## ros-lunar-tf2-geometry-msgs 0.5.20

=== debian/changelog ===
ros-lunar-tf2-geometry-msgs (0.5.20-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.19-0stretch) stretch; urgency=high

  * Use boost::array insted of std:array
    ... for older C++ version
  * Added WrenchStamped transformation (#302 <https://github.com/ros/geometry2/issues/302>)
    * Added doTransformation for geometry_msgs/Wrench
    * Added python implementation of Wrench transform
  * Contributors: Denis Štogl

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.18-0stretch) stretch; urgency=high

  * Changed access to Vector to prevent memory leak (#305 <https://github.com/ros/geometry2/issues/305>)
  * Boilerplate for Sphinx (#284 <https://github.com/ros/geometry2/issues/284>)
  * tf2_geometry_msgs added doTransform implementations for not stamped P… (#262 <https://github.com/ros/geometry2/issues/262>)
  * New functionality to transform PoseWithCovarianceStamped messages. (#282 <https://github.com/ros/geometry2/issues/282>)
  * Contributors: Blake Anderson, Markus Grimm, Tully Foote, cwecht

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Jul 2018 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.17-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 01 Jan 2018 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.16-0stretch) stretch; urgency=high

  * remove explicit templating to standardize on overloading. But provide backwards compatibility with deprecation.
  * adding unit tests for conversions
  * Copy transform before altering it in do_transform_vector3 [issue 233] (#235 <https://github.com/ros/geometry2/issues/235>)
  * store gtest return value as int (#229 <https://github.com/ros/geometry2/issues/229>)
  * Document the lifetime of the returned reference for getFrameId and getTimestamp
  * tf2_geometry_msgs: using tf2::Transform in doTransform-functions, marked gmTransformToKDL as deprecated
  * Switch tf2_geometry_msgs to use package.xml format 2 (#217 <https://github.com/ros/geometry2/issues/217>)
  * tf2_geometry_msgs: added missing conversion functions
  * Contributors: Christopher Wecht, Sebastian Wagner, Tully Foote, dhood, pAIgn10

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.15-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.14-0stretch) stretch; urgency=high

  * Add doxygen documentation for tf2_geometry_msgs
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.13-0stretch) stretch; urgency=high

  * Add missing python_orocos_kdl dependency
  * make example into unit test
  * vector3 not affected by translation
  * Contributors: Daniel Claes, chapulina

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.12-0stretch) stretch; urgency=high

  * Merge pull request #112 <https://github.com/ros/geometry_experimental/issues/112> from vrabaud/getYaw
    Get yaw
  * add toMsg and fromMsg for QuaternionStamped
  * Contributors: Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.11-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.10-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.9-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.8-0stretch) stretch; urgency=high

  * remove useless Makefile files
  * tf2 optimizations
  * add conversions of type between tf2 and geometry_msgs
  * fix ODR violations
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.7-0stretch) stretch; urgency=high

  * fixing transitive dependency for kdl. Fixes #53 <https://github.com/ros/geometry_experimental/issues/53>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.6-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.5-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.4-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.3-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.2-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.1-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.5.0-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.4.10-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.4.9-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.4.8-0stretch) stretch; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-lunar-tf2-geometry-msgs (0.4.7-0stretch) stretch; urgency=high




