=== debian/control ===
Source: ros-lunar-tf2-geometry-msgs
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin (>= 0.5.68), ros-lunar-geometry-msgs, ros-lunar-orocos-kdl, ros-lunar-python-orocos-kdl, ros-lunar-rostest, ros-lunar-tf2, ros-lunar-tf2-ros
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-lunar-tf2-geometry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-orocos-kdl, ros-lunar-python-orocos-kdl, ros-lunar-tf2, ros-lunar-tf2-ros
Description: tf2_geometry_msgs
